ProgramMapTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.si
Interface ProgramMapTable

All Superinterfaces:
  SIElement, SIRetrievable, Table

    public interface ProgramMapTable

extends Table

This interface represents an MPEG-2 Program Map Table (PMT).

For an Inband PMT, the getLocator() method defined in the SIElement interface shall return an org.ocap.net.OcapLocator instance corresponding to one of the following OCAP URL forms:

`ocap://source_id`

`ocap://f=frequency.program_number`

The form returned must match the form of the OCAP URL passed to the previous call to `ProgramMapTableManager.retrieveInBand()` or `ProgramMapTableManager.addInBandChangeListener()`.

For an OOB PMT, the returned OcapLocator corresponds to the following OCAP URL form:

`ocap://oobfdc.program_number`

The getServiceInformationType() method defined in the SIElement interface shall return ServiceInformationType.UNKNOWN.

Method Summary
`Descriptor[]` | `getOuterDescriptorLoop()` Get the outer descriptor loop.
`int` | `getPcrPID()` Get the PCR_PID field.
`PMTElementaryStreamInfo[]` | `getPMTElementaryStreamInfoLoop()` Get elementary stream information blocks.
`int` | `getProgramNumber()` Get the program_number field, corresponds with the PMT.

Methods inherited from interface org.ocap.si.Table
`getTableId`

Methods inherited from interface javax.tv.service.SIElement
`equals, getLocator, getServiceInformationType, hashCode`

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getProgramNumber

    int getProgramNumber()

  Get the program_number field, corresponds with the PMT.

  Returns:
    The program number corresponds with the PMT.

### getPcrPID

    int getPcrPID()

  Get the PCR_PID field. Thirteen bit field indicates the PID that shall contain the PCR fields of the transport stream packets.

  Returns:
    The PCR PID.

### getOuterDescriptorLoop

    Descriptor[] getOuterDescriptorLoop()

  Get the outer descriptor loop. List of descriptors that pertains to all programs.

  Returns:
    The outer descriptor loop.

### getPMTElementaryStreamInfoLoop

    PMTElementaryStreamInfo[] getPMTElementaryStreamInfoLoop()

  Get elementary stream information blocks. Each block contains elementary stream data for a particular stream type.

  Returns:
    The elementary stream information blocks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD